Bug 195176 - [css-values-4] Support ic unit ("水" CJK water ideograph, U+6C34)
Summary: [css-values-4] Support ic unit ("水" CJK water ideograph, U+6C34)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: Safari Technology Preview
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar, W3CTest
Depends on:
Blocks:
 
Reported: 2019-02-28 11:28 PST by Gérard Talbot (no longer involved)
Modified: 2021-11-16 03:24 PST (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gérard Talbot (no longer involved) 2019-02-28 11:28:57 PST
CSS4 Values and Units, 6.1.1. Font-relative lengths section, ic unit
https://www.w3.org/TR/css-values-4/#ic
states

"
ic unit
Equal to the used advance measure of the “水” (CJK water ideograph, U+6C34) 
glyph found in the font used to render it.

This measurement is a typically an exact measure (in the few fonts with 
proportional fullwidth glyphs, an approximation) of a **single fullwidth 
glyph’s advance measure**, thus allowing measurements based on an expected 
glyph count.

In the cases where it is impossible or impractical to determine the 
ideographic advance measure, it must be assumed to be 1em.
"

9 Tests
-------

In horizontal-tb writing-mode:
http://w3c-test.org/css/css-values/ic-unit-001.html

With text-orientation: upright; and writing-mode: vertical-rl;
http://w3c-test.org/css/css-values/ic-unit-002.html

With text-orientation: mixed; and writing-mode: vertical-rl;
http://w3c-test.org/css/css-values/ic-unit-003.html

With text-orientation: sideways; and writing-mode: vertical-rl;
http://w3c-test.org/css/css-values/ic-unit-004.html

In horizontal-tb writing-mode:
http://w3c-test.org/css/css-values/ic-unit-008.html

With (initial) text-orientation: mixed; and writing-mode: vertical-rl;
http://w3c-test.org/css/css-values/ic-unit-009.html

With text-orientation: mixed; and writing-mode: vertical-rl;
http://w3c-test.org/css/css-values/ic-unit-010.html

With text-orientation: upright; and writing-mode: vertical-rl;
http://w3c-test.org/css/css-values/ic-unit-011.html

With text-orientation: sideways; and writing-mode: vertical-rl;
http://w3c-test.org/css/css-values/ic-unit-012.html


Right now, no browser supports any of these 9 tests

https://wpt.fyi/results/css/css-values?label=master

I searched for duplicate and did not find any.
Comment 1 Gérard Talbot (no longer involved) 2019-02-28 11:31:46 PST
Correspondent Mozilla Bug report
https://bugzilla.mozilla.org/show_bug.cgi?id=1531223
Comment 2 Radar WebKit Bug Importer 2019-03-01 20:56:21 PST
<rdar://problem/48532261>
Comment 3 Myles C. Maxfield 2019-03-04 14:39:31 PST
+1 to this request. This should happen.
Comment 4 Gérard Talbot (no longer involved) 2019-05-30 16:43:53 PDT
Correspondent Blink Bug report
https://bugs.chromium.org/p/chromium/issues/detail?id=937101
Comment 5 Kiet Ho 2021-11-16 03:24:55 PST
Resolved in https://bugs.webkit.org/show_bug.cgi?id=204276